<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Gallery</title>
    <!-- CSS only -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <style>
        .image-thumbail{
            height : 200px;
            object-fit : cover;
        }




    </style>
</head>
<body class="m-5">
<!-- page content -->
<!-- <div></div> -->
<div class="container ">
    <div class="row justify-content-center ">
        <div class="col-md-4">
            <a href=" {% url 'gallery' %}" class="btn btn-dark my-3"> Go Back</a>
            <div class="card">
                <form method="POST" action="" enctype="multipart/form-data">
                    {% csrf_token %}
                    <div class="form-group m-3">
                        <label>Description</label>
                        <input required name="description" type="text" placeholder="Enter a description" class="form-control">
                    </div>
                    <div class="form-group m-3">
                        <label>Select a category</label>
                        <select name="category" class="form-control">
                            <option value="none"> Select a category...</option>
                            {% for category in categories %}
                            <option value="{{category.id}}">{{ category.name }}</option>
                            {% endfor %}
                        </select>
                    </div>

                    <div class="form-group m-3">
                        <label>Create a new category </label>
                        <input name="category_new" type="text" placeholder="Create a new category" class="form-control">
                    </div>

                    <div class="form-group m-3">
                        <label> Upload image</label>
                        <input required name="image" type="file" class="form-control-file">
                    </div>

                    <button type="submit" class="btn btn-primary m-3"> Submit</button>

                </form>
            </div>
        </div>
    </div>
</div>

</body>

</html>